Bug 207167 - mail/thunderbird: 38.6.0
Summary: mail/thunderbird: 38.6.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gecko (Nobody)
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-02-13 19:18 UTC by Christoph Moench-Tegeder
Modified: 2016-02-16 12:02 UTC (History)
0 users

See Also:
jbeich: maintainer-feedback+


Attachments
update thunderbird ports (24.17 KB, patch)
2016-02-13 19:18 UTC, Christoph Moench-Tegeder
jbeich: maintainer-approval+
Details | Diff
poudriere testport log (success) (305.67 KB, application/octet-stream)
2016-02-13 19:19 UTC, Christoph Moench-Tegeder
no flags Details
thunderbird update - fixed dependencies, dropped graphite2 hunk (23.92 KB, patch)
2016-02-15 17:27 UTC, Christoph Moench-Tegeder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2016-02-13 19:18:59 UTC
Created attachment 166951 [details]
update thunderbird ports

Finally, thunderbird 38.5.0 is available:
https://www.mozilla.org/en-US/thunderbird/38.6.0/releasenotes/

Attached patch updates
- mail/thunderbird
- mail/thunderbird-i18n
- mail/linux-thunderbird
to the (currently) latest release.
Comment 1 Christoph Moench-Tegeder freebsd_committer 2016-02-13 19:19:33 UTC
Created attachment 166952 [details]
poudriere testport log (success)
Comment 2 Jan Beich freebsd_committer 2016-02-15 14:26:38 UTC
Comment on attachment 166951 [details]
update thunderbird ports

>-BUILD_DEPENDS=	nspr>=4.10.8:${PORTSDIR}/devel/nspr \
>-		nss>=3.19.2:${PORTSDIR}/security/nss \
>+BUILD_DEPENDS=	nspr>=4.11:${PORTSDIR}/devel/nspr \
>+		nss>=3.22:${PORTSDIR}/security/nss \

Why? mozilla/configure.in has different numbers. Besides, ports r408519 haven't been MFHd to /branches/2016Q2 yet.

  $ git show origin/esr38:configure.in | fgrep -e NSPR_MINVER -e AM_PATH_NSS
  NSPR_MINVER=4.10.10
      AM_PATH_NSS(3.19.2.1, ...)

>  # summarize what's been touched
>--echo Updated to $CHANGESET.
>-+echo Updated to $CHANGESET \($TAG for --with-system-graphite2\)
>+-echo Updated to $RELEASE.
>++echo Updated to $RELEASE \($TAG for --with-system-graphite2\).

The underlying hunk can be dropped. Releases are always tagged, so --with-system-graphite2 no longer needs to track down closest tag *with* it.

Approved if the above fixed.
Comment 3 Christoph Moench-Tegeder freebsd_committer 2016-02-15 17:27:54 UTC
Created attachment 167037 [details]
thunderbird update - fixed dependencies, dropped graphite2 hunk

There it is.
I had updated the dependencies so there's less chance I'll forget about them last time - I _do_ keep my ports up2date, but someone will have an old nspr and will complain :) I set the nss dependency to 3.19.3 - that's the closed we ever had.
Comment 4 commit-hook freebsd_committer 2016-02-16 09:20:21 UTC
A commit references this bug:

Author: jbeich
Date: Tue Feb 16 09:20:15 UTC 2016
New revision: 408983
URL: https://svnweb.freebsd.org/changeset/ports/408983

Log:
  mail/thunderbird: update to 38.6.0

  Changes:	https://www.mozilla.org/thunderbird/38.6.0/releasenotes/
  PR:		207167
  Submitted by:	Christoph Moench-Tegeder <cmt@burggraben.net>
  MFH:		2016Q1

Changes:
  head/mail/linux-thunderbird/Makefile
  head/mail/linux-thunderbird/distinfo
  head/mail/thunderbird/Makefile
  head/mail/thunderbird/distinfo
  head/mail/thunderbird/files/patch-bug847568
  head/mail/thunderbird-i18n/Makefile
  head/mail/thunderbird-i18n/distinfo
Comment 5 Jan Beich freebsd_committer 2016-02-16 09:22:22 UTC
(In reply to Christoph Moench-Tegeder from comment #3)
> I set the nss dependency to 3.19.3 - that's the closed we ever had.

3.19.2.1 would be more consistent with www/firefox-esr.

>-+perl -p -i -e "s/[0-9]+\,[0-9]+\,[0-9]+/$TAG/ and tr/./,/ \
>-+  if /GR2_VERSION_REQUIRE/" configure.in

Sorry, the perl line should have been kept. When in doubt use www/firefox.
Comment 6 commit-hook freebsd_committer 2016-02-16 12:02:35 UTC
A commit references this bug:

Author: jbeich
Date: Tue Feb 16 12:02:00 UTC 2016
New revision: 408987
URL: https://svnweb.freebsd.org/changeset/ports/408987

Log:
  MFH: r408983

  mail/thunderbird: update to 38.6.0

  Changes:	https://www.mozilla.org/thunderbird/38.6.0/releasenotes/
  PR:		207167
  Submitted by:	Christoph Moench-Tegeder <cmt@burggraben.net>
  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2016Q1/
  branches/2016Q1/mail/linux-thunderbird/Makefile
  branches/2016Q1/mail/linux-thunderbird/distinfo
  branches/2016Q1/mail/thunderbird/Makefile
  branches/2016Q1/mail/thunderbird/distinfo
  branches/2016Q1/mail/thunderbird/files/patch-bug847568
  branches/2016Q1/mail/thunderbird-i18n/Makefile
  branches/2016Q1/mail/thunderbird-i18n/distinfo